﻿@Html.DevExpress().DropDownEdit(
    settings => {
        settings.Name = "checkComboBox";
        settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);
        settings.Properties.DropDownWindowStyle.BackColor = System.Drawing.Color.FromArgb(0xEDEDED);

        settings.SetDropDownWindowTemplateContent(c =>
        {
            @Html.RenderPartial("PartialMessageStatusGrid");
            ViewContext.Writer.Write("<table style=\"width:100%\"><tr><td align=\"right\">");

            @Html.DevExpress().Button(
                button_setting =>
                {
                    button_setting.Name = "btnOk";
                    button_setting.Text = "OK";
                    button_setting.Style.Add("float", "right");
                    //buttonSettings.ClientSideEvents.Click = "function(s, e){ checkComboBox.HideDropDown(); }";
                }
            ).Render();
            ViewContext.Writer.Write("</td></tr></table>");
            
                
            @Html.DevExpress().Button(
                buttonSettings => {
                    buttonSettings.Name = "buttonClose";
                    buttonSettings.Text = "Close";
                    buttonSettings.Style.Add("float", "right");
                    buttonSettings.ClientSideEvents.Click = "function(s, e){ checkComboBox.HideDropDown(); }";
                }
            ).Render();
            ViewContext.Writer.Write("</td></tr></table>");
        });
        settings.Properties.EnableAnimation = false;
    }
).GetHtml()